
From: Michal Rokos <michal@rokos.info>

Remove zillion of
drivers/net/natsemi.c:806: warning: passing arg 2 of `writew' makes pointer from integer without a cast
drivers/net/natsemi.c:807: warning: passing arg 1 of `readw' makes pointer from integer without a cast


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/natsemi.c |   13 +++++++++++++
 1 files changed, 13 insertions(+)

diff -puN drivers/net/natsemi.c~natsemi-remove-compilation-warnings drivers/net/natsemi.c
--- 25/drivers/net/natsemi.c~natsemi-remove-compilation-warnings	Thu Sep 23 14:29:45 2004
+++ 25-akpm/drivers/net/natsemi.c	Thu Sep 23 14:29:46 2004
@@ -770,6 +770,19 @@ static int netdev_get_regs(struct net_de
 static int netdev_get_eeprom(struct net_device *dev, u8 *buf);
 static struct ethtool_ops ethtool_ops;
 
+#undef readb
+#undef readw
+#undef readl
+#undef writeb
+#undef writew
+#undef writel
+#define readb(addr) inb((unsigned long)(addr))
+#define readw(addr) inw((unsigned long)(addr))
+#define readl(addr) inl((unsigned long)(addr))
+#define writeb(val,addr) outb((val), (unsigned long)(addr))
+#define writew(val,addr) outw((val), (unsigned long)(addr))
+#define writel(val,addr) outl((val), (unsigned long)(addr))
+
 static void move_int_phy(struct net_device *dev, int addr)
 {
 	struct netdev_private *np = netdev_priv(dev);
_
